Subject: Re: bug#21565: 25.0.50; ediff-regions-wordwise fails on latex files

From: Uwe Brauer <[email-masked]>
Date: Sat, 26 Sep 2015 11:02:37 +0200

> I cannot reproduce this in "emacs -Q" with today's Git master.  Does
> this happen to you in "emacs -Q" with any 2 buffers, not necessarily
> in AUC TeX mode?  Or is AUC TeX a necessary part of this problem?  (I
> tried 2 buffers in C Mode.)

I did not try emacs -Q, because then it is difficult for me to send the
bug report, since the smtp server is configured. I also use
ediff-region-wordwise either in mail or in Latex(auctex) buffers.

> Also, you seem to have a private jit-lock package:

>   /home/oub/emacs/jit-lock hides /opt/emacs25/share/emacs/25.0.50/lisp/jit-lock

I deleted it
> which perhaps could be part of this problem.

> In general, the error seems to indicate one of the regions was absent
> (so no mark in that buffer), so presenting a detailed sequence of
> commands and keystrokes leading to the problem might also shed some
> light on this.  (Reporting the bug immediately after it happened and
> from the same Emacs session would have captured your last keystrokes
> and included them in the report.)

Ok I did this, starting emacs -Q and working in a latex buffer (in that
case auctex is not used but the plain latex mode emacs still ships)

I therefore send another bug report and you might close this one, thanks.